Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Interface PaymentTransactionHome

public interface PaymentTransactionHome
extends SmartEJBHome

The home interface for the PaymentTransaction entity bean. Use this class to create, remove, and find PaymentTransaction entity beans.

Method Summary
`PaymentTransaction` | `create(PaymentTransactionPk paymentTransactionPk)` Create a new PaymentTransaction entity bean using the com.beasys.commerce.ebusiness.payment.PaymentTransactionPk.
`PaymentTransaction` | `findByPrimaryKey(PaymentTransactionPk paymentTransactionPk)` Find an PaymentTransaction entity bean using the com.beasys.commerce.ebusiness.payment.PaymentTransactionPk.
`java.util.Collection` | `findByStatus(java.lang.String status)` Finds transactions by status.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    public PaymentTransaction create(PaymentTransactionPk paymentTransactionPk)
                              throws javax.ejb.CreateException,
                                     java.rmi.RemoteException

  Create a new PaymentTransaction entity bean using the com.beasys.commerce.ebusiness.payment.PaymentTransactionPk.

### findByPrimaryKey

    public PaymentTransaction findByPrimaryKey(PaymentTransactionPk paymentTransactionPk)
                                        throws java.rmi.RemoteException,
                                               javax.ejb.FinderException

  Find an PaymentTransaction entity bean using the com.beasys.commerce.ebusiness.payment.PaymentTransactionPk.

### findByStatus

    public java.util.Collection findByStatus(java.lang.String status)
                                      throws java.rmi.RemoteException,
                                             javax.ejb.FinderException

  Finds transactions by status. Valid states are those defined in the `PaymentWorkflow` state machine.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved